This mod **greatly improves multiplayer performance.** If you find this mod works as advertised, please endorse it!

**Default settings should be fine for most people.**

**Keep in mind**

* Compression only works between computers with Better Networking.
* Likely incompatible with (and better than) other networking mods.
* Dedicated servers will not apply changes until restarted.
* You must use the join code or *external* IP when connecting to servers on the same network when using crossplay.

**Finished features**

* network compression
* works with and without crossplay
* package queueing, changing network update speed, min/max send rates, queue size, and network buffer size in Steamworks (AKA crossplay disabled)

**Better Networking links**

* Please [provide feedback here in the discussions!](https://www.nexusmods.com/valheim/mods/1570?tab=posts)
* [Report a Better Networking bug!](https://www.nexusmods.com/valheim/mods/1570?tab=bugs)
* [Better Networking on Nexus Mods](https://www.nexusmods.com/valheim/mods/1570)
* [Better Networking on ThunderStore](https://valheim.thunderstore.io/package/CW_Jesse/BetterNetworking_Valheim/)

**Educational links**

* [Technical explanation of Valheim's networking](https://redd.it/mga1iw) by u/SleepMyLittleOnes
* [Discussion on desync/lag in Valheim](https://jamesachambers.com/revisiting-fixing-valheim-lag-modifying-send-receive-limits/#comment-11709) on the blog of James A. Chambers

**If you've benefited from this mod and want to see more features implemented, please endorse it! Or if you're feeling particularly generous, donate here or [on Patreon](https://www.patreon.com/CW_Jesse)!**